#!/bin/bash
#
# /home/franz/hsv12/scripts/mk-diagr.sh
#
# Erstelle im alix die Wochen-.ods-Dateien mit den Diagrammen aus den
# Tages-.csv-Dateien.
# - Pfade für die Dateien
# - ermittle Woche und Wochentag für Dateinamen und TabellenNr.
# - erstelle eine Wochen-.ods-Datei aus .../template.ods
# - erstelle eine .csv-Datei aus der hsv12-Tages-Datei
# - starte ooffice mit den vorher ermittelten Parametern
#
# ------------------------------------------------------------------
# - Pfade für die Dateien
#
scrs=/home/franz/hsv12/scripts
odsp=/home/franz/hsv12/diagramme
csvp=/home/franz/hsv12/csv
#/bin/echo scrs $scrs odsp $odsp csvp $csvp >> $odsp/log.txt
#
# ------------------------------------------------------------------
# - ermittle Woche und Wochentag für Dateinamen und TabellenNr.
#
# Wochen-Bezeichnung für die .ods-Datei
# brauche z.B. 09-53 für 2009 53. Woche
de=`/bin/date +%y-%V`      # ACHTUNG, beim Jahreswechsel geht es so nicht!
dn=`/bin/date +%a`         # Mon...Sun
odsnam=$de"-Mo-So.ods"
#/bin/echo odsnam $odsnam dn $dn >> $odsp/log.txt
#
# Wochentag für die Tabellen-Nr.
# brauche 1-Mon...7-Sun
wd=`/bin/date +%w`
if [ $wd -eq 0 ]; then wd=7; fi
#/bin/echo wd $wd >> $odsp/log.txt
#
# Datum für die hsv12-Tages- und .cvs-Datei
# brauche z.B. 21.12.2009
dt=`/bin/date +%d.%m.%Y`
csvnam=$dt"-dat.csv"
#/bin/echo csvnam $csvnam >> $odsp/log.txt
#
# ------------------------------------------------------------------
# - erstelle eine Wochen-.ods-Datei aus $scrs/template.ods
#
if [ $dn == "Mon" ]; then
 if [ ! -f $odsp/$odsnam ]; then
 /bin/cp $scrs/template.ods $odsp/$odsnam
 fi
fi
#
# ------------------------------------------------------------------
# - erstelle eine .csv-Datei aus der hsv12-Tages-Datei
#
$scrs/csv.sh $dt
#
# ------------------------------------------------------------------
# - starte ooffice mit den vorher ermittelten Parametern
#
mcr="macro:///Standard.Module1.imp_csv(\"$odsp/$odsnam\",$wd,\"$csvp/$csvnam\")"
/usr/bin/ooffice -headless $mcr
#
# ------------------------------------------------------------------
#
exit 0
